[med-svn] [Git][med-team/emperor][master] Add autopkgtests

Mohd Bilal (@rmb) gitlab at salsa.debian.org
Thu Aug 25 18:00:16 BST 2022



Mohd  Bilal pushed to branch master at Debian Med / emperor


Commits:
1e92cc49 by Mohammed Bilal at 2022-08-25T22:27:18+05:30
Add autopkgtests

- - - - -


2 changed files:

- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/tests/control
=====================================
@@ -0,0 +1,11 @@
+Tests: run-unit-test
+Depends: @,
+	 python3-all,
+	 python3-click,
+         python3-future,
+         python3-notebook,
+         python3-numpy,
+         python3-pandas,
+         python3-pytest,
+         python3-skbio
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -e
+
+pkg=emperor
+CUR_DIR=`pwd`
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/tests "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+echo "Running Tests"
+
+for py in $(py3versions -s 2> /dev/null)
+do
+    echo "Testing with $py in $(pwd):"
+    $py -m pytest
+
+done
+
+echo "PASS"



View it on GitLab: https://salsa.debian.org/med-team/emperor/-/commit/1e92cc496a24ec1342cb2e2036119db23f2a9e0e

-- 
View it on GitLab: https://salsa.debian.org/med-team/emperor/-/commit/1e92cc496a24ec1342cb2e2036119db23f2a9e0e
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220825/157d89eb/attachment-0001.htm>


More information about the debian-med-commit mailing list